org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class FlatMapCompletionStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.FlatMapCompletionStageVerification

    public class FlatMapCompletionStageVerification
    extends java.lang.Object

Verification for flat map completion stage.

### Nested Class Summary

Nested Classes
`class` `FlatMapCompletionStageVerification.ProcessorVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flatMapCsStageBuilderShouldBeResuable()`
`void` `flatMapCsStageShouldFailIfNullIsReturned()`
`void` `flatMapCsStageShouldHandleErrorsThrownByCallback()`
`void` `flatMapCsStageShouldHandleFailedCompletionStages()`
`void` `flatMapCsStageShouldMaintainOrderOfFutures()`
`void` `flatMapCsStageShouldMapFutures()`
`void` `flatMapCsStageShouldOnlyMapOneElementAtATime()`
`void` `flatMapCsStageShouldPropagateCancel()`
`void` `flatMapCsStageShouldPropagateUpstreamErrors()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### flatMapCsStageShouldMapFutures

    public void flatMapCsStageShouldMapFutures()
                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### flatMapCsStageShouldMaintainOrderOfFutures

    public void flatMapCsStageShouldMaintainOrderOfFutures()
                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### flatMapCsStageShouldOnlyMapOneElementAtATime

    public void flatMapCsStageShouldOnlyMapOneElementAtATime()
                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### flatMapCsStageShouldPropagateUpstreamErrors

    public void flatMapCsStageShouldPropagateUpstreamErrors()

#### flatMapCsStageShouldHandleErrorsThrownByCallback

    public void flatMapCsStageShouldHandleErrorsThrownByCallback()

#### flatMapCsStageShouldHandleFailedCompletionStages

    public void flatMapCsStageShouldHandleFailedCompletionStages()

#### flatMapCsStageShouldPropagateCancel

    public void flatMapCsStageShouldPropagateCancel()

#### flatMapCsStageShouldFailIfNullIsReturned

    public void flatMapCsStageShouldFailIfNullIsReturned()

#### flatMapCsStageBuilderShouldBeResuable

    public void flatMapCsStageBuilderShouldBeResuable()